RabbitMQ: AMQP 0-9-1 client library for RabbitMQ servers

This is a package candidate release! Here you can preview how this package release will appear once published to the main package index (which can be accomplished via the 'maintain' link below). Please note that once a package has been published to the main package index it cannot be undone! Please consult the package uploading documentation for more information.

[maintain]

This library provides an AMQP 0-9-1 client library for RabbitMQ servers.

This library is a fork of the amqp package based on HsOpenSSL for providing TLS support.

See Network.AMQP for documentation and a usage example.

Properties

Versions0.1.0.0, 0.1.0.0
Change logNone available
Dependenciesarray (>=0.5.0.0 && <0.6), base (>=4.7.0 && <4.8 || >=4.8.0 && <4.9 || >=4.9.0 && <4.10 || >=4.10.0 && <4.11 || >=4.11.0 && <4.12 || >=4.12.0 && <4.13), binary (>=0.7.1 && <0.9), bytestring (>=0.10.4 && <0.11), clock (==0.8.*), containers (>=0.5.5 && <0.7), HsOpenSSL (>=0.11.4 && <0.12), io-streams (>=1.5.1 && <1.6), monad-control (>=1.0.2 && <1.1), network (==2.8.* || >=3.0 && <3.2), network-uri (==2.6.*), openssl-streams (>=1.2.2 && <1.3), split (>=0.2.3 && <0.3), stm (==2.5.*), text (>=1.2.3 && <1.3), vector (==0.12.*) [details]
LicenseBSD-3-Clause AND GPL-3.0-or-later[multiple license files]
AuthorHolger Reinhardt, Herbert Valerio Riedel
Maintainerhvr@gnu.org
CategoryNetwork
Bug trackerhttps://github.com/hvr/RabbitMQ/issues
Source repositoryhead: git clone https://github.com/hvr/RabbitMQ.git
UploadedThu Aug 22 00:01:20 UTC 2019 by HerbertValerioRiedel

Modules

[Index]

Downloads

Maintainers' corner

For package maintainers and hackage trustees